"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const base_1 = require("./base");
const util_1 = require("./util");
class Worker extends base_1.default {
    /**
     * Metodo para procesar los mensajes entrantes
     * @param data Datos de la peticion
     */
    message(data, Method, params = []) {
        return new Promise((rr, ff) => {
            // Ejecutar la funcion
            try {
                const resp = Method.apply({}, [
                    data.data,
                    data.headers.Authorizacion,
                    data.metadata.uuid,
                ]);
                // Validar si la respuesta es una promesa y esperar a resolverla
                if (util_1.default.isPromise(resp)) {
                    // Esperar que finalice
                    resp.then((response) => {
                        // Regresar el contenido
                        rr(this.formatResponse(data, response, 0));
                    }).catch((error) => {
                        // Indicar que fue error
                        ff(this.formatResponse(data, null, error.code));
                    });
                }
                else {
                    const r = this.formatResponse(data, resp, 0);
                    // Regresar la respuesta
                    rr(r);
                }
            }
            catch (error) {
                // Regresar el error
                ff(this.formatResponse(data, null, error.code));
            }
        });
    }
}
exports.default = Worker;
